/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <LiquidCrystal.h>
#define DELAY_TIME	500		// 스크롤 간격 0.5초

// 핀 번호 (RS, E, DB4, DB5, DB6, DB7)
LiquidCrystal lcd(2, 3, 5, 6, 7, 8);		// LCD 연결

void setup(){
	lcd.begin(16, 2); 			// LCD 초기화
	lcd.clear();					// 화면 지우기
	lcd.print("Scrolling Text");		// 첫 번째 행 내용
	lcd.setCursor(0, 1);
	lcd.print("1234567890");			// 두 번째 행 내용
}

void loop(){
	for(int i = 1; i <= 10; i++){
		lcd.scrollDisplayRight();		// 오른쪽으로 이동
		delay(DELAY_TIME);
	}
	for(int i = 1; i <= 10; i++){
		lcd.scrollDisplayLeft();		// 왼쪽으로 이동
		delay(DELAY_TIME);
	}
} 
