/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <Metro.h>		// Metro 라이브러리

Metro timer1(500);		// 0.5초 간격 타이머
Metro timer2(1000);		// 1초 간격 타이머

void setup(){
	Serial.begin(9600);
}

void loop(){
	if(timer1.check())		// 0.5초 경과
		Serial.println(">> Timer 1 : 0.5 second");
	if(timer2.check())		// 1초 경과
		Serial.println("** Timer 2 : 1 second");
}
