/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <DMUStyleMotor.h>

void setup(){ }	// 헤더를 포함시키면 초기 설정 작업은 필요하지 않다.

void loop(){
	DMUStyleMotor.Enable(MOTOR1);		// 모터 1 활성화

	for(int i = 0; i < 256; i++){			// 모터 1 정회전
		DMUStyleMotor.Rotate(MOTOR1, DIRECTION1, i);
		delay(25);
	}

	DMUStyleMotor.Stop(MOTOR1);			// 모터 1 정지
	delay(1000);

	for(int i = 0; i < 256; i++){			// 모터 1 역회전
		DMUStyleMotor.Rotate(MOTOR1, DIRECTION2, i);
		delay(25);
	}

	DMUStyleMotor.Stop(MOTOR1);			// 모터 1 정지
	DMUStyleMotor.Disable(MOTOR1);		// 모터 1 비활성화

	DMUStyleMotor.Enable(MOTOR2);

	for(int i = 0; i < 256; i++){
		DMUStyleMotor.Rotate(MOTOR2, DIRECTION1, i);
		delay(25);
	}

	DMUStyleMotor.Stop(MOTOR2);
	delay(1000);

	for(int i = 0; i < 256; i++){
		DMUStyleMotor.Rotate(MOTOR2, DIRECTION2, i);
		delay(25);
	}

	DMUStyleMotor.Stop(MOTOR2);
	DMUStyleMotor.Disable(MOTOR2);

	while(true);
	
}
