/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <INTEGER.h>

void setup()  
{
	Serial.begin(9600);			// 컴퓨터와의 시리얼 통신 초기화
}

void loop()
{
	// 12의 정수값을 가지는 INTEGER 객체 생성
	INTEGER N(12);

	for(int i = 1; i <= 12; i++){
		if(N.is_dividable_by(i))		// 멤버 함수 호출
			Serial.println(i);
	}

	while(true);
}
