/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup() {
	Serial.begin(9600);		// 시리얼 포트 초기화
}

void loop() {
	int n = 123;
	float f = 3.1415927;

	Serial.println(n, BIN);		// 이진수
	Serial.println(n, DEC);		// 십진수. 디폴트값으로 DEC는 생략 가능
	Serial.println(n, HEX);		// 십육진수

	Serial.println();
	Serial.println(f);		// 디폴트값으로 소수점 이하 두 자리
	Serial.println(f, 5);		// 소수점 이하 다섯 자리

	while(true);
}
