/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int buttonPin = 9;

void setup() {
	Serial.begin(9600);
	pinMode(buttonPin, INPUT); 		// 9번 핀을 입력으로 사용
}

void loop() {
	boolean value = digitalRead(buttonPin);	// 버튼 상태 읽기

	if(value == HIGH){			// 버튼이 눌러진 경우
		Serial.println("Button is ON.");
	}
	else{							// 버튼이 눌러지지 않은 경우
		Serial.println("Button is OFF.");
	}

	delay(1000);				// 1초 대기
}
