/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int led = 10;					// 10번 핀에 LED 연결
int variableR = A3;			// A3 핀에 가변저항 연결

long R;							// 현재 가변저항의 값
long duty_cycle;				// LED 밝기

void setup() {
	pinMode(led, OUTPUT);			// 10번 핀을 출력 모드로 설정
	pinMode(variableR, INPUT);		// A3번 핀을 입력 모드로 설정
}

void loop() {
	R = analogRead(variableR);		// 가변저항 값 일기
	// 0에서 1023사이의 가변저항 값을 0에서 255 사이의 duty cycle로 변경
	duty_cycle = map(R, 0, 1023, 0, 255);

	analogWrite(led, duty_cycle);
}
