/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <Wire.h>
#include <Adafruit_MCP23017.h>

Adafruit_MCP23017 mcp;		// MCP23017 칩 객체

void setup() {  
	mcp.begin();			// 기본 0x20 주소 사용

	for(int i = 8; i < 16; i++){
		mcp.pinMode(i, OUTPUT);	// 뱅크 B의 핀을 출력으로 사용
	}
}

void loop() {
	for(int i = 0; i < 2; i++){
		for(int j = 8; j < 16; j++){
			if(j % 2 == i)
				mcp.digitalWrite(j, HIGH);
			else
				mcp.digitalWrite(j, LOW);
		}
		delay(200);
	}
}
