/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int THRESHOLD = 500;			// LED를 켜는 최대 광량
int led_pin = 13;				// LED 연결 핀

void setup(){
	Serial.begin(9600);			// 시리얼 통신 초기화
	pinMode(led_pin, OUTPUT);
}

void loop(){
	int val = analogRead(A2);		// 아날로그 입력 2번

	Serial.print(String(val) + " : LED is ");
	if(val < THRESHOLD){
		digitalWrite(led_pin, HIGH);		// LED 켜기
		Serial.println("ON !!");
	}
	else{
		digitalWrite(led_pin, LOW);		// LED 끄기
		Serial.println("off...");
	}
  
	delay(1000);
}
