/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int temp_pin = A1;		// 온도 센서 연결 핀
int input_value;			// 아날로그 입력값
float input_voltage;		// 아날로그 입력값을 전압으로 환산한 값
float temperature;		// 아날로그 입력값을 온도로 환산한 값

void setup() {      
	Serial.begin(9600);
}

void loop() {
	input_value = analogRead(temp_pin);

	// 0에서 1023 사이의 값을 0V에서 5V 사이 값으로 변환한다.
	input_voltage = 5.0 * input_value / 1023.0;

	// 10mV에 1℃이므로 100을 곱해서 현재 온도를 얻는다.
	temperature = input_voltage * 100.0;

	Serial.println(temperature);

	delay(1000);
}
