/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <EEPROM.h>

void setup(){
	Serial.begin(9600);		// 시리얼 통신 초기화
}

void loop(){
	for(int i = 0; i < 10; i++){	// EEPROM에 값 쓰기
		EEPROM.write(i, i);	// write(주소, 값)
		delay(100);
	}

	for(int i = 0; i < 10; i++){	// EEPROM에서 값 읽기
		int value = EEPROM.read(i);	// read(주소)
		Serial.println("Address : " + String(i) + "\t Value : " + value);
		delay(100);
  }
  
  while(true);
}
