/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
#include <MsTimer2.h>

int count = 0;

void interruptFunction(){		// 인터럽트 처리 함수
	Serial.println(String("From ISR : ") + count++);
}

void setup(){
	Serial.begin(9600);

	MsTimer2::set(1000, interruptFunction);		// 1초 간격 타이머 설정
	MsTimer2::start();		// 인터럽트 활성화
}

void loop(){				// loop 함수는 비어있다.
}
