/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup()  
{
	Serial.begin(9600);		// 컴퓨터와의 시리얼 통신 초기화
}

void loop()
{
	int sum, i;

	// for 문 사용
	sum = 0;
	for(i = 1; i < 100; i += 2){
		sum += i;
	}
	Serial.print("for      : ");
	Serial.println(sum);

	// while 문 사용
	sum = 0;
	i = 1;
	while(i < 100){
		sum += i;
		i += 2;
	}
	Serial.print("while    : ");
	Serial.println(sum);

	// do-while 문 사용
	sum = 0;
	i = 1;
	do{
		sum += i;
		i += 2;
	}while(i < 100);
	Serial.print("do-while : ");
	Serial.println(sum);

	while(true);
}
