/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup()  
{
	Serial.begin(9600);		// 컴퓨터와의 시리얼 통신 초기화
}

void loop()
{
	for(int i = 1; i <= 10; i++){
		if(is_prime_number(i))
			Serial.println(i);
	}

	while(true);
}

// n이 소수이면 true를, 소수가 아니면 false를 반환
boolean is_prime_number(int n)
{
	int i;
	if(n < 2) return false;

	for(i = 2; i < n; i++){
		if(n % i == 0) break;
	}

	if(i == n) return true;
	else return false;
}
