/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup() {
	Serial.begin(9600);			// 시리얼 포트 초기화
}

void loop() {
	Serial.print("String  : ");
	Serial.println("Test String");		// 문자열 출력

	Serial.print("Char    : ");
	Serial.println('c');			// 문자 출력 

	Serial.print("Integer : ");
	Serial.println(123);			// 정수 출력

	Serial.print("Float   : ");
	Serial.println(3.14);			// 실수 출력

	byte data = 65;
	Serial.println();
	Serial.print("With print : ");
	Serial.println(data);			// print 함수

	Serial.print("With write : ");
	Serial.write(data);			// write 함수

	while(true);
}
