/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup() {
	Serial.begin(9600);			// 시리얼 포트 초기화
}

void loop() {
	if(Serial.available() > 0){		// 수신된 데이터 존재 여부 확인
		byte data = Serial.read();		// 바이트 단위로 읽기

		Serial.print("Echo back : ");
		Serial.write(data);			// 문자 출력
		Serial.print("  ");
		Serial.println(data);			// ASCII 값을 숫자로 출력
	}
}
