/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
void setup() {
	Serial.begin(9600);			// 시리얼 포트 초기화
}

void loop() {
	// 정렬할 문자열 배열
	String str[5] = {"ABC", "XYZ", "LMN", "DEF", "123"};

	// 문자열 정렬
	for(int i = 0; i < 4; i++){
		for(int j = i + 1; j < 5; j++){
			int compare = str[i].compareTo(str[j]);
			if(compare > 0){		// 오름차순으로 정렬
				String temp = str[i];
				str[i] = str[j];
				str[j] = temp;
			}
		}
	}

	// 정렬된 문자열 출력
	for(int i = 0; i < 5; i++){
		Serial.println(String(i) + " : " + str[i]);
	}

	while(true);
}
