/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int button = 9;				// 9번 핀에 버튼 연결
int led = 10;					// 10번 핀에 LED 연결

void setup() {
	pinMode(button, INPUT);		// 9번 핀을 입력 모드로 설정
	pinMode(led, OUTPUT);			// 10번 핀을 출력 모드로 설정
}

void loop() {
	boolean value = digitalRead(button);	// 버튼 상태 읽기

	if(value){						// 버튼이 눌러진 경우
		digitalWrite(led, HIGH);
	}
	else{							// 버튼이 눌러지지 않은 경우
		digitalWrite(led, LOW);
	}

	delay(100);					// 디바운스
}
