/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int analogPin = A3;	// 가변저항을 아날로그 3번 핀에 연결
								// 디폴트값인 5V를 기준 전압으로 사용
int val = 0;			// 입력값 저장을 위한 변수

void setup()
{
	Serial.begin(9600);	// 직렬 포트 초기화
}

void loop()
{
	val = analogRead(analogPin);	// 아날로그 입력값 읽기
	Serial.println(val);		// 입력값을 직렬 포트로 출력

	delay(500);				// 0.5초 대기
}
