/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
long randNumber;

void setup(){
	Serial.begin(9600);		// 직렬 포트 초기화

	// DM-USTYLE-EXT 보드의 경우
	// A4 또는 A5 핀을 random 함수 초기화를 위해 사용한다.
	randomSeed(analogRead(A5));
}

void loop() {
	for(int i = 0; i < 10; i++){
		randNumber = random(1, 11);	// 1~10 사이 난수
		Serial.println(randNumber);
	}

	while(true);
}
