/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      Last Modified : 2 Dec. 2014
 *      Written by Gyeongyong Heo
 *      Contact Info. hgycap@deu.ac.kr
 */
 
int pins[] = {5, 6, 7, 8, 9, 10, 11, 12};	// LED 모듈 연결 핀

void setup(){
	for(int i = 0; i < 8; i++){		// LED 모듈 연결 핀을 출력으로 설정
		pinMode(pins[i], OUTPUT);
	}
}

void loop(){
	for(int i = 0; i < 8; i++){
		for(int j = 0; j < 8; j++){
			if(i == j)
				digitalWrite(pins[j], HIGH);	// 한 번에 하나의 LED만 켬
			else
				digitalWrite(pins[j], LOW);		// 나머지 LED는 끔
		}
		delay(100);
	}
}
